Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RString Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long len
char * ptr
union {
long capa
VALUE shared
} aux
} heap
char ary [RSTRING_EMBED_LEN_MAX+1]
} | as

## Detailed Description

Definition at line 820 of file ruby.h.

## Field Documentation

char RString::ary[RSTRING_EMBED_LEN_MAX+1]

Definition at line 831 of file ruby.h.

Referenced by rb_sym_all_symbols(), and readline_attempted_completion_function().

union { ... } RString::as

Referenced by rb_check_id_cstr().

union { ... } RString::aux

struct RBasic RString::basic

Definition at line 821 of file ruby.h.

Referenced by setup_fake_str().

long RString::capa

Definition at line 827 of file ruby.h.

struct { ... } RString::heap

Referenced by rb_check_id_cstr().

long RString::len

Definition at line 824 of file ruby.h.

Referenced by intern_str().

char* RString::ptr

Definition at line 825 of file ruby.h.

VALUE RString::shared

Definition at line 828 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h